# HG changeset patch
# Node ID 4591778ea827
# Parent  e1d8d70679d5
diff --git a/ChangeLog.API b/ChangeLog.API
--- a/ChangeLog.API
+++ b/ChangeLog.API
@@ -479,6 +479,21 @@
 		* purple_markup_extract_info_field
 		* purple_markup_get_css_property
 		* purple_markup_is_rtl
+		* purple_marshal_BOOLEAN__INT_POINTER
+		* purple_marshal_BOOLEAN__POINTER_POINTER_POINTER_POINTER_UINT
+		* purple_marshal_BOOLEAN__POINTER_POINTER_POINTER_UINT
+		* purple_marshal_INT__INT
+		* purple_marshal_INT__INT_INT
+		* purple_marshal_INT__POINTER_POINTER
+		* purple_marshal_POINTER__POINTER
+		* purple_marshal_POINTER__POINTER_INT
+		* purple_marshal_POINTER__POINTER_INT64
+		* purple_marshal_POINTER__POINTER_INT_BOOLEAN
+		* purple_marshal_POINTER__POINTER_INT64_BOOLEAN
+		* purple_marshal_POINTER__POINTER_POINTER
+		* purple_marshal_POINTER__POINTER_POINTER_BOOLEAN
+		* purple_marshal_VOID__INT
+		* purple_marshal_VOID__INT_INT
 		* PurpleMimeDocument, PurpleMimePart,
 		  purple_mime_document_new, purple_mime_document_free,
 		  purple_mime_document_parse, purple_mime_document_parsen,
diff --git a/libpurple/signals.h b/libpurple/signals.h
--- a/libpurple/signals.h
+++ b/libpurple/signals.h
@@ -333,32 +333,6 @@
 		GCallback cb, va_list args, void *data, void **return_val);
 
 /**
- * purple_marshal_VOID__INT:
- * @cb: (scope call): Callback this marshaller is designed to invoke
- * @args: va_list of arguments to be passed to the closure
- * @data: (nullable): Data to be passed to the callback
- * @return_val: (nullable): Value to store the callback's return value
- *
- * A purple marshaller function for use with signals with a single integer
- * argument.
- */
-void purple_marshal_VOID__INT(
-		GCallback cb, va_list args, void *data, void **return_val);
-
-/**
- * purple_marshal_VOID__INT_INT:
- * @cb: (scope call): Callback this marshaller is designed to invoke
- * @args: va_list of arguments to be passed to the closure
- * @data: (nullable): Data to be passed to the callback
- * @return_val: (nullable): Value to store the callback's return value
- *
- * A purple marshaller function for use with signals with two integer
- * arguments.
- */
-void purple_marshal_VOID__INT_INT(
-		GCallback cb, va_list args, void *data, void **return_val);
-
-/**
  * purple_marshal_VOID__POINTER:
  * @cb: (scope call): Callback this marshaller is designed to invoke
  * @args: va_list of arguments to be passed to the closure
@@ -541,45 +515,6 @@
 		GCallback cb, va_list args, void *data, void **return_val);
 
 /**
- * purple_marshal_INT__INT:
- * @cb: (scope call): Callback this marshaller is designed to invoke
- * @args: va_list of arguments to be passed to the closure
- * @data: (nullable): Data to be passed to the callback
- * @return_val: (nullable): Value to store the callback's return value
- *
- * A purple marshaller function for use with signals with an integer argument
- * and returns an integer.
- */
-void purple_marshal_INT__INT(
-		GCallback cb, va_list args, void *data, void **return_val);
-
-/**
- * purple_marshal_INT__INT_INT:
- * @cb: (scope call): Callback this marshaller is designed to invoke
- * @args: va_list of arguments to be passed to the closure
- * @data: (nullable): Data to be passed to the callback
- * @return_val: (nullable): Value to store the callback's return value
- *
- * A purple marshaller function for use with signals with two integer
- * arguments and returns an integer.
- */
-void purple_marshal_INT__INT_INT(
-		GCallback cb, va_list args, void *data, void **return_val);
-
-/**
- * purple_marshal_INT__POINTER_POINTER:
- * @cb: (scope call): Callback this marshaller is designed to invoke
- * @args: va_list of arguments to be passed to the closure
- * @data: (nullable): Data to be passed to the callback
- * @return_val: (nullable): Value to store the callback's return value
- *
- * A purple marshaller function for use with signals with two pointer
- * arguments and returns an integer.
- */
-void purple_marshal_INT__POINTER_POINTER(
-		GCallback cb, va_list args, void *data, void **return_val);
-
-/**
  * purple_marshal_INT__POINTER_POINTER_POINTER:
  * @cb: (scope call): Callback this marshaller is designed to invoke
  * @args: va_list of arguments to be passed to the closure
@@ -671,19 +606,6 @@
 		GCallback cb, va_list args, void *data, void **return_val);
 
 /**
- * purple_marshal_BOOLEAN__POINTER_POINTER_POINTER_UINT:
- * @cb: (scope call): Callback this marshaller is designed to invoke
- * @args: va_list of arguments to be passed to the closure
- * @data: (nullable): Data to be passed to the callback
- * @return_val: (nullable): Value to store the callback's return value
- *
- * A purple marshaller function for use with signals with three pointer
- * and one unsigned integer arguments and returns a boolean.
- */
-void purple_marshal_BOOLEAN__POINTER_POINTER_POINTER_UINT(
-		GCallback cb, va_list args, void *data, void **return_val);
-
-/**
  * purple_marshal_BOOLEAN__POINTER_POINTER_POINTER_POINTER:
  * @cb: (scope call): Callback this marshaller is designed to invoke
  * @args: va_list of arguments to be passed to the closure
@@ -710,19 +632,6 @@
 		GCallback cb, va_list args, void *data, void **return_val);
 
 /**
- * purple_marshal_BOOLEAN__POINTER_POINTER_POINTER_POINTER_UINT:
- * @cb: (scope call): Callback this marshaller is designed to invoke
- * @args: va_list of arguments to be passed to the closure
- * @data: (nullable): Data to be passed to the callback
- * @return_val: (nullable): Value to store the callback's return value
- *
- * A purple marshaller function for use with signals with four pointer
- * and one unsigned integer arguments and returns a boolean.
- */
-void purple_marshal_BOOLEAN__POINTER_POINTER_POINTER_POINTER_UINT(
-		GCallback cb, va_list args, void *data, void **return_val);
-
-/**
  * purple_marshal_BOOLEAN__POINTER_POINTER_POINTER_POINTER_POINTER_POINTER:
  * @cb: (scope call): Callback this marshaller is designed to invoke
  * @args: va_list of arguments to be passed to the closure
@@ -735,110 +644,6 @@
 void purple_marshal_BOOLEAN__POINTER_POINTER_POINTER_POINTER_POINTER_POINTER(
 		GCallback cb, va_list args, void *data, void **return_val);
 
-/**
- * purple_marshal_BOOLEAN__INT_POINTER:
- * @cb: (scope call): Callback this marshaller is designed to invoke
- * @args: va_list of arguments to be passed to the closure
- * @data: (nullable): Data to be passed to the callback
- * @return_val: (nullable): Value to store the callback's return value
- *
- * A purple marshaller function for use with signals with an integer
- * and a pointer argument and returns a boolean.
- */
-void purple_marshal_BOOLEAN__INT_POINTER(
-		GCallback cb, va_list args, void *data, void **return_val);
-
-/**
- * purple_marshal_POINTER__POINTER:
- * @cb: (scope call): Callback this marshaller is designed to invoke
- * @args: va_list of arguments to be passed to the closure
- * @data: (nullable): Data to be passed to the callback
- * @return_val: (nullable): Value to store the callback's return value
- *
- * A purple marshaller function for use with signals with a pointer
- * argument and returns a pointer.
- */
-void purple_marshal_POINTER__POINTER(
-		GCallback cb, va_list args, void *data, void **return_val);
-
-/**
- * purple_marshal_POINTER__POINTER_INT:
- * @cb: (scope call): Callback this marshaller is designed to invoke
- * @args: va_list of arguments to be passed to the closure
- * @data: (nullable): Data to be passed to the callback
- * @return_val: (nullable): Value to store the callback's return value
- *
- * A purple marshaller function for use with signals with a pointer and
- * an integer argument and returns a pointer.
- */
-void purple_marshal_POINTER__POINTER_INT(
-		GCallback cb, va_list args, void *data, void **return_val);
-
-/**
- * purple_marshal_POINTER__POINTER_INT64:
- * @cb: (scope call): Callback this marshaller is designed to invoke
- * @args: va_list of arguments to be passed to the closure
- * @data: (nullable): Data to be passed to the callback
- * @return_val: (nullable): Value to store the callback's return value
- *
- * A purple marshaller function for use with signals with a pointer and
- * a 64-bit integer argument and returns a pointer.
- */
-void purple_marshal_POINTER__POINTER_INT64(
-		GCallback cb, va_list args, void *data, void **return_val);
-
-/**
- * purple_marshal_POINTER__POINTER_INT_BOOLEAN:
- * @cb: (scope call): Callback this marshaller is designed to invoke
- * @args: va_list of arguments to be passed to the closure
- * @data: (nullable): Data to be passed to the callback
- * @return_val: (nullable): Value to store the callback's return value
- *
- * A purple marshaller function for use with signals with a pointer,
- * integer, and boolean argument and returns a pointer.
- */
-void purple_marshal_POINTER__POINTER_INT_BOOLEAN(
-		GCallback cb, va_list args, void *data, void **return_val);
-
-/**
- * purple_marshal_POINTER__POINTER_INT64_BOOLEAN:
- * @cb: (scope call): Callback this marshaller is designed to invoke
- * @args: va_list of arguments to be passed to the closure
- * @data: (nullable): Data to be passed to the callback
- * @return_val: (nullable): Value to store the callback's return value
- *
- * A purple marshaller function for use with signals with a pointer,
- * 64-bit integer, and boolean argument and returns a pointer.
- */
-void purple_marshal_POINTER__POINTER_INT64_BOOLEAN(
-		GCallback cb, va_list args, void *data, void **return_val);
-
-/**
- * purple_marshal_POINTER__POINTER_POINTER_BOOLEAN:
- * @cb: (scope call): Callback this marshaller is designed to invoke
- * @args: va_list of arguments to be passed to the closure
- * @data: (nullable): Data to be passed to the callback
- * @return_val: (nullable): Value to store the callback's return value
- *
- * A purple marshaller function for use with signals with two pointer
- * and one boolean arguments and returns a pointer.
- */
-void purple_marshal_POINTER__POINTER_POINTER_BOOLEAN(
-		GCallback cb, va_list args, void *data, void **return_val);
-
-/**
- * purple_marshal_POINTER__POINTER_POINTER:
- * @cb: (scope call): Callback this marshaller is designed to invoke
- * @args: va_list of arguments to be passed to the closure
- * @data: (nullable): Data to be passed to the callback
- * @return_val: (nullable): Value to store the callback's return value
- *
- * A purple marshaller function for use with signals with two pointer
- * arguments and returns a pointer.
- */
-void purple_marshal_POINTER__POINTER_POINTER(
-		GCallback cb, va_list args, void *data, void **return_val);
-
 G_END_DECLS
 
 #endif /* PURPLE_SIGNALS_H */
diff --git a/libpurple/signals.c b/libpurple/signals.c
--- a/libpurple/signals.c
+++ b/libpurple/signals.c
@@ -558,25 +558,6 @@
 }
 
 void
-purple_marshal_VOID__INT(GCallback cb, va_list args, void *data,
-					   void **return_val)
-{
-	gint arg1 = va_arg(args, gint);
-
-	((void (*)(gint, void *))cb)(arg1, data);
-}
-
-void
-purple_marshal_VOID__INT_INT(GCallback cb, va_list args, void *data,
-						   void **return_val)
-{
-	gint arg1 = va_arg(args, gint);
-	gint arg2 = va_arg(args, gint);
-
-	((void (*)(gint, gint, void *))cb)(arg1, arg2, data);
-}
-
-void
 purple_marshal_VOID__POINTER(GCallback cb, va_list args, void *data,
 						   void **return_val)
 {
@@ -745,47 +726,6 @@
 }
 
 void
-purple_marshal_INT__INT(GCallback cb, va_list args, void *data,
-					  void **return_val)
-{
-	gint ret_val;
-	gint arg1 = va_arg(args, gint);
-
-	ret_val = ((gint (*)(gint, void *))cb)(arg1, data);
-
-	if (return_val != NULL)
-		*return_val = GINT_TO_POINTER(ret_val);
-}
-
-void
-purple_marshal_INT__INT_INT(GCallback cb, va_list args, void *data,
-						  void **return_val)
-{
-	gint ret_val;
-	gint arg1 = va_arg(args, gint);
-	gint arg2 = va_arg(args, gint);
-
-	ret_val = ((gint (*)(gint, gint, void *))cb)(arg1, arg2, data);
-
-	if (return_val != NULL)
-		*return_val = GINT_TO_POINTER(ret_val);
-}
-
-void
-purple_marshal_INT__POINTER_POINTER(GCallback cb, va_list args, void *data,
-                                      void **return_val)
-{
-	gint ret_val;
-	void *arg1 = va_arg(args, void *);
-	void *arg2 = va_arg(args, void *);
-
-	ret_val = ((gint (*)(void *, void *, void *))cb)(arg1, arg2, data);
-
-	if (return_val != NULL)
-		*return_val = GINT_TO_POINTER(ret_val);
-}
-
-	void
 purple_marshal_INT__POINTER_POINTER_POINTER(
 		GCallback cb, va_list args, void *data, void **return_val)
 {
@@ -895,25 +835,6 @@
 }
 
 void
-purple_marshal_BOOLEAN__POINTER_POINTER_POINTER_UINT(GCallback cb,
-												   va_list args,
-												   void *data,
-												   void **return_val)
-{
-	gboolean ret_val;
-	void *arg1 = va_arg(args, void *);
-	void *arg2 = va_arg(args, void *);
-	void *arg3 = va_arg(args, void *);
-	guint arg4 = va_arg(args, guint);
-
-	ret_val = ((gboolean (*)(void *, void *, void *, guint, void *))cb)(
-			arg1, arg2, arg3, arg4, data);
-
-	if (return_val != NULL)
-		*return_val = GINT_TO_POINTER(ret_val);
-}
-
-void
 purple_marshal_BOOLEAN__POINTER_POINTER_POINTER_POINTER(GCallback cb,
 													  va_list args,
 													  void *data,
@@ -952,25 +873,6 @@
 }
 
 void
-purple_marshal_BOOLEAN__POINTER_POINTER_POINTER_POINTER_UINT(
-		GCallback cb, va_list args, void *data, void **return_val)
-{
-	gboolean ret_val;
-	void *arg1 = va_arg(args, void *);
-	void *arg2 = va_arg(args, void *);
-	void *arg3 = va_arg(args, void *);
-	void *arg4 = va_arg(args, void *);
-	guint arg5 = va_arg(args, guint);
-
-	ret_val =
-		((gboolean (*)(void *, void *, void *, void *, guint, void *))cb)(
-			arg1, arg2, arg3, arg4, arg5, data);
-
-	if (return_val != NULL)
-		*return_val = GINT_TO_POINTER(ret_val);
-}
-
-void
 purple_marshal_BOOLEAN__POINTER_POINTER_POINTER_POINTER_POINTER_POINTER(
 		GCallback cb, va_list args, void *data, void **return_val)
 {
@@ -989,124 +891,3 @@
 	if (return_val != NULL)
 		*return_val = GINT_TO_POINTER(ret_val);
 }
-
-void
-purple_marshal_BOOLEAN__INT_POINTER(GCallback cb, va_list args, void *data,
-                                  void **return_val)
-{
-	gboolean ret_val;
-	gint arg1 = va_arg(args, gint);
-	void *arg2 = va_arg(args, void *);
-
-	ret_val = ((gboolean (*)(gint, void *, void *))cb)(arg1, arg2, data);
-
-	if (return_val != NULL)
-		*return_val = GINT_TO_POINTER(ret_val);
-}
-
-void
-purple_marshal_POINTER__POINTER(
-                                    GCallback cb, va_list args, void *data,
-                                    void **return_val)
-{
-	gpointer ret_val;
-	void *arg1 = va_arg(args, void *);
-
-	ret_val = ((gpointer(*)(void *, void *))cb)(arg1, data);
-
-	if (return_val != NULL)
-		*return_val = ret_val;
-}
-
-
-void
-purple_marshal_POINTER__POINTER_INT(
-                                    GCallback cb, va_list args, void *data,
-                                    void **return_val)
-{
-	gpointer ret_val;
-	void *arg1 = va_arg(args, void *);
-	gint arg2 = va_arg(args, gint);
-
-	ret_val = ((gpointer(*)(void *, gint, void *))cb)(arg1, arg2, data);
-
-	if (return_val != NULL)
-		*return_val = ret_val;
-}
-
-void
-purple_marshal_POINTER__POINTER_INT64(
-                                    GCallback cb, va_list args, void *data,
-                                    void **return_val)
-{
-	gpointer ret_val;
-	void *arg1 = va_arg(args, void *);
-	gint64 arg2 = va_arg(args, gint64);
-
-	ret_val = ((gpointer(*)(void *, gint64, void *))cb)(arg1, arg2, data);
-
-	if (return_val != NULL)
-		*return_val = ret_val;
-}
-
-void
-purple_marshal_POINTER__POINTER_INT_BOOLEAN(
-                                    GCallback cb, va_list args, void *data,
-                                    void **return_val)
-{
-	gpointer ret_val;
-	void *arg1 = va_arg(args, void *);
-	gint arg2 = va_arg(args, gint);
-	gboolean arg3 = va_arg(args, gboolean);
-
-	ret_val = ((gpointer(*)(void *, gint, gboolean, void *))cb)(arg1, arg2, arg3, data);
-
-	if (return_val != NULL)
-		*return_val = ret_val;
-}
-
-void
-purple_marshal_POINTER__POINTER_INT64_BOOLEAN(
-                                    GCallback cb, va_list args, void *data,
-                                    void **return_val)
-{
-	gpointer ret_val;
-	void *arg1 = va_arg(args, void *);
-	gint64 arg2 = va_arg(args, gint64);
-	gboolean arg3 = va_arg(args, gboolean);
-
-	ret_val = ((gpointer(*)(void *, gint64, gboolean, void *))cb)(arg1, arg2, arg3, data);
-
-	if (return_val != NULL)
-		*return_val = ret_val;
-}
-
-void
-purple_marshal_POINTER__POINTER_POINTER_BOOLEAN(
-                                    GCallback cb, va_list args, void *data,
-                                    void **return_val)
-{
-	gpointer ret_val;
-	void *arg1 = va_arg(args, void *);
-	void *arg2 = va_arg(args, void *);
-	gboolean arg3 = va_arg(args, gboolean);
-
-	ret_val = ((gpointer(*)(void *, void *, gboolean, void *))cb)(arg1, arg2, arg3, data);
-
-	if (return_val != NULL)
-		*return_val = ret_val;
-}
-
-void
-purple_marshal_POINTER__POINTER_POINTER(GCallback cb, va_list args, void *data,
-                                      void **return_val)
-{
-	gpointer ret_val;
-	void *arg1 = va_arg(args, void *);
-	void *arg2 = va_arg(args, void *);
-
-	ret_val = ((gpointer (*)(void *, void *, void *))cb)(arg1, arg2, data);
-
-	if (return_val != NULL)
-		*return_val = ret_val;
-}
